# Fee reduction tips

To process a transaction on Ethereum (Layer 1), you need to pay a gas fee. More specifically, the fee to offset the computational effect required to execute a specific operation on the Ethereum network, multiplied by the gwei, which is a representation of the current network congestion. Simply put, the gas fee offsets the energy costs used to process your transaction, multiplied by a representation of how many other people are also trying to process transactions. The more people making transactions, the higher the gas fee.

Since each Ethereum Layer 1 (L1) transaction requires computational resources to execute, each transaction requires a fee. The transaction will only execute if enough funds have been sent to cover the transaction’s gas fee.

### Why do I need to pay a setup fee? <a href="#why_do_i_need_to_pay_a_setup_fee" id="why_do_i_need_to_pay_a_setup_fee"></a>

The setup fee is required to pay the gas for deploying the wallet’s smart contract on L1 of the Ethereum network.

### Does Loopring profit from gas fees? <a href="#does_loopring_profit_from_gas_fees" id="does_loopring_profit_from_gas_fees"></a>

No, all the L1 gas fees for executing transactions are paid to Ethereum block miners.

### How can I reduce my gas fees? <a href="#how_can_i_reduce_my_gas_fees" id="how_can_i_reduce_my_gas_fees"></a>

You can reduce the overall fee by submitting transactions when network congestion is low. See the following for more details on gas and Ethereum costs:

* [Ethereum.org - Gas](https://ethereum.org/en/developers/docs/gas/)
* [Ethereum Gas Price Chart](https://ethereumprice.org/gas/)
* [Etherscan Gas Tracker](https://etherscan.io/gastracker)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-wallet.loopring.io/faqs/fee-faqs/fee-reduction-tips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
